Docker 1.8

With the release of Docker 1.8 its time to install on my Ubuntu 15.04, the default package for Docker will give you version 1.5. Installing is easy you just need to subscribe to the correct repo and bingo you will get 1.8.1 or at the time you to it you may get a newer version. The following will add a key and add the correct package repository. Important! The following instruction only work for Ubuntu 15.04, with a small change to the line with  ubuntu-vivid you should be able to make this work for most Ubuntu releases.

#Lets add a repo key to our local machine
$ apt-key adv --keyserver hkp://p80.pool.sks-keyservers.net:80 --recv-keys 58118E89F3A912897C070ADBF76221572C52609D

#We need to ass the repo to our local machine, we we edit the following file (I using VIM you can use andy editor)
$ vim /etc/apt/sources.list.d/docker.list
Add or change the following line
$ deb https://apt.dockerproject.org/repo ubuntu-vivid main

The next will remove any old docker that may be running and install the latest docker package.

$ apt-get update

$ apt-get purge lxc-docker*

$ apt-get install docker-engine

You can now do a quick version check

$ docker --version

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s